Sphiders 2.4.1, 2.4.1-PDO, and 3.0.0-MB have been released

Announcements concerning the forum
Post Reply
User avatar
captquirk
Site Admin
Posts: 119
Joined: Sun Apr 09, 2017 8:49 pm
Location: Arizona, USA
Contact:

Sphiders 2.4.1, 2.4.1-PDO, and 3.0.0-MB have been released

Post by captquirk » Tue Apr 30, 2019 12:06 am

Sphider 2.4.1, legacy and PDO is a minor update to 2.4.0. The "major" work went into updated some SQL error messages in the unlikely event any SQL statement fails to prepare properly. There was a correction to some code that prevented indexing from a browser for some sites. Also an addition to ensure the admin and search pages presented as UTF-8 character set. If you have 2.4.0 installed and is already running fine, you really won't gain anything by updating.

Sphider 3.0.0-MB is 2.4.x employing multibyte string functions. It requires the PHP installation to have the mbstring extension installed and accessible. If you deal exclusively with English language (or for large part, most Western European language) websites, your are unlikely to encounter multibyte unicode characters and may not benefit much from 3.0.0-MB as opposed to 2.4.x.

Post Reply